#! gmake
#
# 
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is the Netscape security libraries.
# 
# The Initial Developer of the Original Code is Netscape
# Communications Corporation.  Portions created by Netscape are 
# Copyright (C) 1994-2000 Netscape Communications Corporation.  All
# Rights Reserved.
# 
# Contributor(s):
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License Version 2 or later (the
# "GPL"), in which case the provisions of the GPL are applicable 
# instead of those above.  If you wish to allow use of your 
# version of this file only under the terms of the GPL and not to
# allow others to use your version of this file under the MPL,
# indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by
# the GPL.  If you do not delete the provisions above, a recipient
# may use your version of this file under either the MPL or the
# GPL.
# 
#
#

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

CORE_DEPTH = ../../..

DEFINES += -DNSM_PROTOCOL_STRICT -DNSPR20 -I../lib/protocol -I../../../dist/public/nls


MODULE = security

CSRCS = createBomb.c

REQUIRES = 

PROGRAM = createBomb

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################

ifeq ($(OS_ARCH), WINNT)
EXTRA_LIBS = $(DIST)/lib/libnspr21_s.lib  wsock32.lib winmm.lib
EXT = .exe
else
EXTRA_LIBS = $(DIST)/lib/libnspr21.a
endif

CFLAGS += -DTIMEBOMB

run:
	@echo Creating timestamp.
	$(PLATFORM)/createBomb$(EXT)
	touch frontend.c

#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################
